tut_restartable.h File Reference
`#include <wibble/tests/tut.h>`
`#include <fstream>`
`#include <iostream>`
Include dependency graph for tut_restartable.h:

Go to the source code of this file.

## Classes

class | tut::restartable_wrapper
| Restartable test runner wrapper. More...

## Namespaces

| tut
| Template Unit Tests Framework for C++.
| tut::util

## Functions

std::string | tut::util::escape (const std::string &orig)
| Escapes non-alphabetical characters in string. More...
std::string | tut::util::unescape (const std::string &orig)
| Un-escapes string. More...
void | tut::util::serialize (std::ostream &os, const tut::test_result &tr)
| Serialize test_result avoiding interfering with operator <<. More...
void | tut::util::deserialize (std::istream &is, tut::test_result &tr)
| deserialization for test_result More...